# -*- mode: ruby -*-
# vi: set ft=ruby :

Vagrant.configure("2") do |config|

# Define parâmetros no VirtualBox 
 config.vm.provider "virtualbox" do |v|
  v.gui = true
  v.name = "grupo-06-ftp"
  v.memory = 1024
  v.cpus = 1
end 

config.vm.box = "hashicorp/precise64"
config.vm.box_url = "file://precise64.box"
config.vm.network :private_network, ip: "192.168.33.16"
config.vm.synced_folder "modules/samba/files", "/home/dados/", create: true
config.ssh.forward_agent = true
config.vm.provision :puppet do |puppet|
			puppet.manifests_path = "manifests"
			puppet.module_path = "modules"
			puppet.options = ['--verbose']
		end
end